/* GCC */
#include <iostream>
#include <cstdio>
#include <cstdlib>
#include <ctime>
#include <cmath>
#include <cstring>
#include <string>
#include <vector>
#include <map>
#include <algorithm>
#include <queue>
#include <sstream>

#define X first
#define Y second
#define mp(a, b) make_pair((a), (b))

using namespace std;

int n, i, cur, ver, a, b, k;
long long otv;
vector <int> l, r, p;
vector < pair <int, int> > v;

int dist(int a, int b)
{
    k = abs(v[a].X - v[b].X) + abs(v[a].Y - v[b].Y);
    return k;
}

int main()
{
    freopen("nests.in", "r", stdin);
    freopen("nests.out", "w", stdout);

    scanf("%d", &n);
    otv = 0;
    l.resize(n);
    r.resize(n);
    p.resize(n);
    ver = 0;
    scanf("%d %d", &a, &b);
    v.push_back(mp(a, b));

    for(i = 1; i < n; i++)
    {
        scanf("%d %d", &a, &b);
        v.push_back(mp(a, b));

        if(b > v[ver].Y)
        {
            l[i] = ver;
            p[ver] = i;
            otv += dist(ver, i);
            ver = i;
            continue;
        }

        cur = i - 1;
        while(v[cur].Y < b)
            cur = p[cur];

        if(cur != i - 1)
        {
            l[i] = r[cur];
            p[r[cur]] = i;
            otv -= dist(cur, r[cur]);
            otv += dist(i, r[cur]);
        }

        otv += dist(cur, i);
        p[i] = cur;
        r[cur] = i;
    }

    printf("%I64d\n", otv);

    return 0;
}













