/* GCC */
#include <cstdio>

using namespace std;

struct position
{
    int x;
    int y;
};

position v[250001];
size_t right_[250001] = {}, left_[250001] = {}, parent[250001] = {};
unsigned long long ans(0);
const unsigned long long base = 1000000000;

void dfs(size_t root)
{
    if(left_[root])
    {
        ans += (v[root].y - v[left_[root]].y) + (v[root].x - v[left_[root]].x);
        dfs(left_[root]);
    }
    if(right_[root])
    {
        ans += (v[root].y - v[right_[root]].y) + (v[right_[root]].x - v[root].x);
        dfs(right_[root]);
    }
}

int main(void)
{
    size_t n, j, root, high, low;
    FILE *fin = fopen("nests.in", "r");
    fscanf(fin, "%u %d %d", &n, &(v[1].x), &(v[1].y));
    root = 1;
    for(size_t i = 2; i <= n; ++i)
    {
        fscanf(fin, "%d %d", &(v[i].x), &(v[i].y));
        if(v[i].y > v[root].y)
        {
            left_[i] = root;
            root = i;
            continue;
        }
        j = i-1;
        while(v[j].y < v[i].y)
            j = parent[j];
        left_[i] = right_[j];
        parent[i] = j;
        right_[j] = i;
    }
    fclose(fin);
    dfs(root);
    FILE *fout = fopen("nests.out", "w");
    high = ans/base, low = ans%base;
    if(high == 0)
        fprintf(fout, "%u\n", low);
    else
        fprintf(fout, "%u%u\n", high, low);
    fclose(fout);
    return 0;
}
