/* GCC */
#include <iostream>
#include <cstdio>
#include <vector>
using namespace std;
int main(){
    freopen("nests.in", "r", stdin);
    freopen("nests.out", "w", stdout);
    int n;
    scanf("%d", &n);
    vector < int > x(n);
    vector < int > y(n);
    int v;
    int root;
    vector < int > parent(n);
    vector < int > left(n,-1);
    vector < int > right(n,-1);
    scanf("%d %d", &x[0], &y[0]);
    root=0;
    for (int i=1; i<n; i++){
        scanf("%d %d", &x[i], &y[i]);
        if (y[i]>y[root]){
            left[i]=root; root=i;
        }
        else{
            v=i-1;
            while (y[v]<y[i]) v=parent[v];
            if (v!=i-1) left[i]=right[v];
            right[v]=i; parent[i]=v;
        }
    }
    long long ans=0;
    for (int i=0; i<n; i++){
        if (right[i]!=-1) ans+=y[i]-y[right[i]]+x[right[i]]-x[i];
        if (left[i]!=-1) ans+=y[i]-y[left[i]]-x[left[i]]+x[i];
    }
    cout << ans << endl;
    fclose(stdin);
    fclose(stdout);
}
